From 0fa29e2deea19a33fec7f1e5a5cf49b94f93b2f8 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Mon, 12 Apr 2021 15:07:17 +0200
Subject: [PATCH] Remove now unneeded #ifdef check for NT_NETBSD_PAX.

NT_NETBSD_PAX was defined in commit be3b926d8d2dde16a55e9e303fadf95164e13ebf.

binutils/ChangeLog:

	* readelf.c (process_netbsd_elf_note): Remove now unneeded #ifdef
	check for NT_NETBSD_PAX.
---
 binutils/ChangeLog | 5 +++++
 binutils/readelf.c | 2 --
 2 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/binutils/ChangeLog b/binutils/ChangeLog
index 1dbb038fda6..ef0e868e1a0 100644
--- a/binutils/ChangeLog
+++ b/binutils/ChangeLog
@@ -1,3 +1,8 @@
+2021-04-13  Frederic Cambus  <fred@statdns.com>
+
+	* readelf.c (process_netbsd_elf_note): Remove now unneeded #ifdef
+	check for NT_NETBSD_PAX.
+
 2021-04-12  Alan Modra  <amodra@gmail.com>
 
 	* configure.ac (--enable-checking): Add support.
diff --git a/binutils/readelf.c b/binutils/readelf.c
index 840a160ae82..9d0104d9791 100644
--- a/binutils/readelf.c
+++ b/binutils/readelf.c
@@ -19522,7 +19522,6 @@ process_netbsd_elf_note (Elf_Internal_Note * pnote)
 	      pnote->descdata);
       return true;
 
-#ifdef   NT_NETBSD_PAX
     case NT_NETBSD_PAX:
       if (pnote->descsz < 1)
 	break;
@@ -19535,7 +19534,6 @@ process_netbsd_elf_note (Elf_Internal_Note * pnote)
 	      ((version & NT_NETBSD_PAX_ASLR) ? "+ASLR" : ""),
 	      ((version & NT_NETBSD_PAX_NOASLR) ? "-ASLR" : ""));
       return true;
-#endif
     }
 
   printf ("  NetBSD\t0x%08lx\tUnknown note type: (0x%08lx)\n",
-- 
2.31.1

